// Arquivo de exemplo: XmlWriter1.aspx.cs
using System;
using System.Xml;
public partial class XmlWriter1 : System.Web.UI.Page {
	protected void Page_Load(object sender, EventArgs e) {
		XmlWriterSettings set = new XmlWriterSettings();
		set.Indent = true;
		set.IndentChars=(" ");
		set.Encoding = System.Text.Encoding.GetEncoding("ISO-8859-1");
		try 
		{
			using (XmlWriter escreve = XmlWriter.Create(@"C:\Livro\Capitulo22\teste.xml",set)) {
				escreve.WriteStartElement("Livro");
				escreve.WriteElementString("Título", "ASP.NET com C# curso prático");
				escreve.WriteElementString("Autor", "Alfredo Lotar");
				escreve.WriteStartElement("Preço");
				escreve.WriteAttributeString("moeda", "R$");
				escreve.WriteString("52.00");
				escreve.WriteEndElement();
				escreve.WriteEndElement();
				escreve.Flush();
				Response.Write("Documento criado com sucesso.");
			}
		}
		catch(InvalidOperationException ex) {
			Response.Write(ex.Message);
		}
		catch (Exception ex) {
			Response.Write(ex.Message);
		}
	}
}
